Module fastbit

[frames] | no frames]

# Module fastbit

Module that exposes all the function to interact with a fastbit database, configured and interfaced with ntop.

Functions

dictionary

query(partition, select_clause, where, limit) Execute a fastbit query using ntop |

Variables
| __package__ = `None`

Function Details

### query(partition, select_clause, where, limit)

Execute a fastbit query using ntop

Parameters:
  - `partition` (string) - required. indicates the from clause sql style (directory of the fastbit db partition to query)
  - `select_clause` (string) - required. indicates the columns
  - `where` (string) - required. indicates the where clause sql style
  - `limit` (int) - required. indicates the max result fetched from the db
Returns: dictionary
  a dictionary {'columns':[],'values':[]} containing all the values retrieved (max limit) or error otherwise